/*/////////////////////////////////////////////////////////////////////*/

.FiltersDropdownContainer
{
    position: relative;
    display: flex;
    justify-content: center;
    width: 100%;
    height: 0rem;
    background-color: rgb(40, 40, 40);
    box-shadow: inset 0px 0px 15px rgba(0,0,0,0.5);

    overflow: hidden;
    z-index: 20;

    transition-property: height;
    transition-duration: 0.1s;
    transition-timing-function: ease-in;
}

/*/////////////////////////////////////////////////////////////////////*/

.OrderByContainer
{
    position: relative;
    display: none;
    flex-direction: row;
    justify-content: space-evenly;

    width: 85%;
    height: 100%;
}

.OrderByDirection,
.OrderByFaction
{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;

    cursor: pointer;

    width: 20%;
    height: 100%;
    background-color: rgba(40, 40, 40, 0);
}

.OrderByDirection
{
    font-size: 2rem;
    color: white;

    transition-property: color;
    transition-duration: 0.1s;
    transition-timing-function: ease-in;
}

.OrderByDirection div
{
    display: flex;
    flex-direction: column;
    font-size: 0.8rem;
    align-items: center;
}

.OrderByDirection p
{
    margin: 0;
    font-weight: 1000;
}

.OrderByDirectionSelected,
.OrderByFactionSelected
{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;

    cursor: pointer;

    width: 20%;
    height: 100%;
    background-color: white;
}

.OrderByDirectionSelected
{
    font-size: 2rem;
    color: red;

    transition-property: color;
    transition-duration: 0.1s;
    transition-timing-function: ease-in;
}

.OrderByDirectionSelected div
{
    display: flex;
    flex-direction: column;
    font-size: 0.8rem;
    align-items: center;
}

.OrderByDirectionSelected p
{
    margin: 0;
    font-weight: 1000;
}

.OrderByFaction a
{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;

    width: 8rem;
    height: 60%;
    background-color: red;

    color: white;
    font-size: 1.7rem;
    font-weight: 800;

    /* Prevent text selection while dragging */
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;

    transition-property: color, background-color;
    transition-duration: 0.1s, 0.1s;
    transition-timing-function: ease-in;
}

.OrderByFactionSelected a
{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;

    width: 8rem;
    height: 60%;
    background-color: black;

    color: white;
    font-size: 1.7rem;
    font-weight: 800;

    /* Prevent text selection while dragging */
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;

    transition-property: color, background-color;
    transition-duration: 0.1s, 0.1s;
    transition-timing-function: ease-in;
}

@media screen and (max-width: 700px)
{
    .OrderByFaction a
    {
        width: 2rem;
        height: 45%;

        font-size: 1rem;

        content: '';
    }

    .OrderByFactionSelected a
    {
        width: 5rem;
        height: 45%;

        font-size: 1rem;
    }
}

@media (hover: hover)
{
    .OrderByDirection:hover
    {
        color: rgb(150, 150, 150);
    }

    .OrderByDirectionSelected:hover
    {
        color: rgb(150, 0, 0);
    }

    .OrderByFaction:hover a
    {
        color: rgb(150, 150, 150);
        background-color: rgb(150, 0, 0);
    }

    .OrderByFactionSelected:hover a
    {
        color: rgb(150, 150, 150);
        background-color: rgb(50, 0, 0);
    }
}

/*/////////////////////////////////////////////////////////////////////*/

.FilterByContainer
{
    position: relative;
    display: none;
    flex-direction: row;
    justify-content: space-evenly;

    width: 85%;
    height: 100%;
    background-color: rgb(80, 80, 80);
}

.FilterByArrow
{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;

    width: 15%;
    height: 100%;
    background-color: rgb(40, 40, 40);

    color: rgb(200, 200, 200);
    font-size: 3rem;
    cursor: pointer;

    transition-property: color;
    transition-duration: 0.1s;
    transition-timing-function: ease-in;
}

.FilterByArrow:first-child
{
    transform: scaleX(-1);
}

.FilterByFaction
{
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;

    width: 69%;
    height: 100%;
    background-color: rgb(40, 40, 40);

    /* Prevent text selection while dragging */
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.FilterByFaction a
{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 3rem;

    width: 10rem;
    height: 60%;
    background-color: red;

    color: white;
    font-size: 1.7rem;
    font-weight: 800;
}

.FilterByFaction p
{
    position: relative;
    margin-left: 2rem;

    color: white;
    font-size: 1.5rem;
    font-weight: 800;
}

.invisible
{
    display: none;
}

@media screen and (max-width: 700px)
{
    .FilterByArrow
    {
        font-size: 2rem;
    }

    .FilterByFaction a
    {
        margin-left: 1rem;
        width: 6rem;
        height: 50%;
        background-color: red;
        font-size: 1.2rem;
    }

    .FilterByFaction p
    {
        margin-left: 1rem;
        font-size: 1.2rem;
    }
}

@media (hover: hover)
{
    .FilterByArrow:hover
    {
        color: rgb(130, 130, 130);
    }
}